"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = 'C:/rdkit/build/temp.win-amd64-cpython-312/Release/rdkit_install\\share/RDKit\\Data\\FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC8BA020>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC8BA0C0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC8BA160>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC8BA200>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC8BA2A0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC8BA340>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC8BA3E0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC8BA480>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC8BA520>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC8BA5C0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC8BA660>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC8BA700>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC8BA7A0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC8BA840>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC8BA8E0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC8BA980>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC8BAA20>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC8BAAC0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC8BAB60>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC8BAC00>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC8BACA0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC8BAD40>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC8BADE0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC8BAE80>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC8BAF20>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC8BAFC0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC8BB060>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC8BB100>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC8BB1A0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC8BB240>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC8BB2E0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC8BB380>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC8BB420>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC8BB4C0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC8BB560>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC8BB600>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC8BB6A0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC8BB740>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC8BB7E0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC8BB880>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC8BB920>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC8BB9C0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC8BBA60>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC8BBB00>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC8BBBA0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC8BBC40>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC8BBCE0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC8BBD80>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC8BBE20>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC8BBEC0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC8BBF60>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC90C040>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC90C0E0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC90C180>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC90C220>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC90C2C0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC90C360>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC90C400>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC90C4A0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC90C540>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC90C5E0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC90C680>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC90C720>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC90C7C0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC90C860>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC90C900>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC90C9A0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC90CA40>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC90CAE0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC90CB80>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC90CC20>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC90CCC0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC90CD60>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC90CE00>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC90CEA0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC90CF40>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC90CFE0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC90D080>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC90D120>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC90D1C0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC90D300>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC90D260>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC90D3A0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC90D440>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x000001D7FC90D4E0>)]
name: str = 'fr_HOCCN'
